

//Quiz Function
$.fn.quiz = function () {
  p = this;
  var questionCurrent = 0;
  var questionsTotal = $(p).find(".question").length;
  $(p).find(".box-body").append("<div class='details'><span class='status'>Pertanyaan 1 dari " + questionsTotal + "</span> <a href='#' class='next button'>Pertanyaan Berikutnya</a></div>");
  $(p).find(".question").slice(1,questionsTotal).hide();
  
  $(p).find(".answers li").click(function () {
    $(p).find(".result").show();
    if($(p).find(".result").length < 1)
      $(p).find(".details").before("<div class='result'><p class='title'></p><p class='description'></p></div>");

    if($(this).hasClass("correct")) {

      $(this).addClass("clicked-correct");
      $(p).find(".title").text("Selamat, Anda benar!").removeClass("incorrect").addClass("correct");
      $(p).find(".next").show();

    if((questionCurrent + 1) == questionsTotal) {
        $(p).find(".details").removeClass("next");
        $(p).find(".details").addClass("end").text("Terima Kasih telah mengikuti kuis kami");
        $(p).find(".status").text("Akhir kuis");
      }

      $(p).find(".question:eq(" + questionCurrent + ") .answers li:not(.correct)").hide();
     $(p).find(".result .description").replaceWith($(p).find(".question:eq(" + questionCurrent + ") .description"));

    } else {
      $(this).addClass("clicked-incorrect");
      $(p).find(".result .title").text("Maaf, Anda salah. Pilih yang lain.").removeClass("correct").addClass("incorrect");
    }

    return false;
  });

  $(p).find(".next").click(function () {
    if(!((questionCurrent + 1) == questionsTotal)) {
      questionCurrent = questionCurrent + 1;
      $(p).find(".title, .result .description").text("");
      $(p).find(".result, .question, .next").hide();
      $(p).find(".status").text("Pertanyaan " + (questionCurrent + 1) + " dari " + questionsTotal);
      $(p).find(".question:eq(" + questionCurrent + ")").show();
    }
    return false;
  });
}
